Bug 1662320 - dracut-initramfs-restore cannot find /etc/selinux/targeted/contexts/files/file_contexts
Summary: dracut-initramfs-restore cannot find /etc/selinux/targeted/contexts/files/fil...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: dracut
Version: 29
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: dracut-maint-list
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-27 16:39 UTC by Federico Bruni
Modified: 2019-11-27 20:30 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 20:30:13 UTC


Attachments (Terms of Use)

Description Federico Bruni 2018-12-27 16:39:27 UTC
$ dnf info dracut
Version      : 049
Release      : 25.git20181204.fc29

While debugging a slow shutdown, I found in system logs a 90 seconds delay happening constantly whith dracut-shutdown.service:

```
dic 26 18:40:45 fedora systemd[1]: Started Show Plymouth Reboot Screen.
dic 26 18:40:45 fedora audit[1]: SERVICE_START pid=1 uid=0 auid=4294967295 ses=4294967295 msg='unit=plymouth-reboot comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
dic 26 18:40:45 fedora dracut-initramfs-restore[4954]: /etc/selinux/targeted/contexts/files/file_contexts: No such file or directory
dic 26 18:40:45 fedora systemd[1]: dracut-shutdown.service: Control process exited, code=exited status=255
dic 26 18:40:45 fedora systemd[1]: dracut-shutdown.service: Failed with result 'exit-code'.
dic 26 18:40:45 fedora systemd[1]: Stopped Restore /run/initramfs on shutdown.
dic 26 18:40:45 fedora audit[1]: SERVICE_START pid=1 uid=0 auid=4294967295 ses=4294967295 msg='unit=dracut-shutdown comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=failed'
dic 26 18:42:15 fedora systemd[1553]: dbus.service: State 'stop-final-sigterm' timed out. Killing.
dic 26 18:42:15 fedora systemd[1553]: dbus.service: Killing process 3399 (dleyna-renderer) with signal SIGKILL.
dic 26 18:42:15 fedora systemd[1553]: dbus.service: Killing process 3402 (gdbus) with signal SIGKILL.
dic 26 18:42:15 fedora systemd[1553]: dbus.service: Failed with result 'timeout'.
dic 26 18:42:15 fedora systemd[1553]: Stopped D-Bus User Message Bus.
dic 26 18:42:15 fedora systemd[1553]: Stopped target Basic System.
dic 26 18:42:15 fedora systemd[1553]: Stopped target Paths.
dic 26 18:42:15 fedora systemd[1553]: Stopped target Sockets.
dic 26 18:42:15 fedora systemd[1553]: Closed Multimedia System.
dic 26 18:42:15 fedora systemd[1553]: Closed Sound System.
dic 26 18:42:15 fedora systemd[1553]: Stopped target Timers.
dic 26 18:42:15 fedora systemd[1553]: Stopped Mark boot as successful after the user session has run 2 minutes.
dic 26 18:42:15 fedora systemd[1553]: Closed D-Bus User Message Bus Socket.
dic 26 18:42:15 fedora systemd[1553]: Reached target Shutdown.
```

The file /etc/selinux/targeted/contexts/files/file_contexts is provided by selinux-policy-targeted package, which was not installed on my system.
selinux is disabled. Here's my config file:

```
$ cat /etc/selinux/config | grep ^SELINUX*
SELINUX=disabled
SELINUXTYPE=targeted 
```

After installing selinux-policy and selinux-policy-targeted, the problem went away. I can shutdown the system quickly now.

Comment 1 Ben Cotton 2019-10-31 20:15:20 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Ben Cotton 2019-11-27 20:30:13 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.